--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Get the default name of this Repository
- !ruby/struct:SM::Flow::VERB 
  body: "  TODO: create example\n"
- !ruby/struct:SM::Flow::P 
  body: "@return [Symbol]"
- !ruby/struct:SM::Flow::VERB 
  body: "  the default name of this repository\n"
- !ruby/struct:SM::Flow::P 
  body: "@api private"
full_name: DataMapper::Repository::default_name
is_singleton: true
name: default_name
params: ()
visibility: public
